## net.sourceforge.pmd.jbuilder
Class RuleSetPropertyPage

public class RuleSetPropertyPage
extends PropertyPage

  Title: JBuilder OpenTool for PMD

  Description: Provides an environemnt for using the PMD aplication from within JBuilder

  Copyright: Copyright (c) 2002

  Company: InfoEther

Version:
  1.0 formatted with JxBeauty (c) johann.langhofer@nextra.at
Author:
  David Craine

Constructor Detail

### RuleSetPropertyPage

    public RuleSetPropertyPage()

  Constuctor

Method Detail

### initRuleSplitPanes

    private void initRuleSplitPanes()

  Initialize the splitpanes that are used in this interface The left pane contains the list of available rule sets while the right pane contains the list of selected rule sets

### jbInit

    protected void jbInit()

  Initialize the interface components

Throws:
  `Exception` - thows any exceptions that occur

### writeProperties

    public void writeProperties()

  Called by JBuilder when the user selects OK from the proeprties dialog We use this method to save the values of the properties based upon what list they ended up in when the user was finished

### getHelpTopic

    public HelpTopic getHelpTopic()

  get the Help TOpic

Returns:
  help topic

### readProperties

    public void readProperties()

  Called by JBuilder to setup the initial property settings. We don't use this since we to all the property setup in the jbInit() method.

### jbSelectRuleSets_actionPerformed

    void jbSelectRuleSets_actionPerformed(ActionEvent e)

  Called when the jbSelectRuleSets button is pressed

Parameters:
  `e` - action event

### selectRules

    private void selectRules()

  Find any rules that are selected in the available list and move them to the selected list

### jbDeselectRuleSets_actionPerformed

    void jbDeselectRuleSets_actionPerformed(ActionEvent e)

  Called when the jbDeselectRuleSets button is pressed

Parameters:
  `e` - action event

### deselectRules

    private void deselectRules()

  Find any rules that are selected in the selected list and move them to the available list

### jlistSelectedRuleSets_mouseClicked

    void jlistSelectedRuleSets_mouseClicked(MouseEvent e)

  Called when the user double-clicks an item in the jlistSelectedRuleSets list Move the item to the available list

Parameters:
  `e` - mouse event

### jlistAvailableRuleSets_mouseClicked

    void jlistAvailableRuleSets_mouseClicked(MouseEvent e)

  Called when the user double-clicks an item in the jlistAvailableRuleSets list move the item to the selected list

Parameters:
  `e` - mouse event